image: node:16-alpine3.15
services:
  - docker:dind

test_job:
  stage: test
  image: weezyval/base-image-v2
  environment:
    name: my-app
  services:
    - docker:dind
  variables:
    DOCKER_HOST: tcp://docker:2375
    DOCKER_DRIVER: overlay2
    DOCKER_REGISTRY: 112209553700.dkr.ecr.us-east-1.amazonaws.com
    AWS_DEFAULT_REGION: us-east-1
    APP_NAME: tasks-manager
    
  script:
    - aws configure set region us-east-1
    - $(aws ecr get-login --no-include-email --region us-east-1 | sed 's|https://||')
    - docker build -t $DOCKER_REGISTRY/$APP_NAME:$CI_PIPELINE_IID . 
    - docker push $DOCKER_REGISTRY/$APP_NAME:$CI_PIPELINE_IID